Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01609 DIP/Input Major Always Mar 24, 2008, 12:50 Apr 6, 2008, 14:34
Tester mahlemiut View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver
Version 0.124 Fixed in Version 0.124u2 Build Normal
Summary 01609: Various - tested srmp4 (ssv.c), ttmahjng (route16.c), vsmahjng (vsnes.c), tokkae (konamigx.c), sf2 (cps1.c): INP playback loses sync quickly
Description So far, each game I've tested INP playback with, loses sync quickly. This results in playback not mirroring what was done when recorded. It's particularly noticeable in mahjong games, where a different tileset is dealt each time you attempt to playback the INP file. None of the mentioned tested games have ever experienced INP playback issues before.
Steps To Reproduce First, record an INP using -record filename.inp, then attempt to playback the same INP you just recorded, using -playback filename.inp. The playback will eventually not match up to how it was recorded.
Additional Information Attached a test INP of Taisen Tokkae-dama. It should get to stage 8 in normal mode, but on playback the first opponent is not the same as it was when recorded.
Flags
Regression Version
Affected Sets / Systems Various - tested srmp4 (ssv.c), ttmahjng (route16.c), vsmahjng (vsnes.c), tokkae (konamigx.c), sf2 (cps1.c)
Attached Files
zip file icon 124test_tokkae.zip (20,357 bytes) Mar 24, 2008, 12:50
zip file icon 124test_srmp4.zip (9,659 bytes) Mar 24, 2008, 12:51
zip file icon 124test_sf2.zip (7,947 bytes) Mar 24, 2008, 12:52
zip file icon 124atest_tokkae.zip (26,420 bytes) Mar 25, 2008, 06:50
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.00381
Tafoid
Administrator
Mar 24, 2008, 14:23
edited on: Mar 24, 2008, 14:24
Tested the playback of tokkae and there does indeed seem like a problem with it. Confirmed report.
User avatar
No.00399
mahlemiut
Developer
Mar 25, 2008, 01:10
The attached SRMP4 INP should beat the first opponent, 6 wins with one loss about the 3rd or 4th hand. On playback though, it gives a different first hand each time.
The attached SF2 INP should reach the end of the first bonus stage. On playback, it gets to about the 2nd battle before losing sync. I chose SF2 to test as it has little or no reliance on anything random, and also eliminates NVRAM from the equation, too.

Note that tokkae and srmp4 do use NVRAM, and should be deleted (or moved) before playback, as no NVRAM was used when recording (standard INP usage procedure ;))
User avatar
No.00401
mahlemiut
Developer
Mar 25, 2008, 06:53
Added another tokkae INP test, done in 0.124a, just to be sure that the issue is still there. The INP should start with the tadpole character as the first opponent, and should finish normal mode (9 stages). Still fails on playback, during stage 1.
User avatar
No.00412
Haze
Senior Tester
Mar 25, 2008, 22:33
This is serious, and rather worrying, MAME should ideally be completely deterministic across platforms given the same inputs (otherwise one machine clearly isn't running the same emulation to the same level of accuracy as the other)

I think there were some major changes to input reading recently (unless they've only been proposed and not implemented) so this is something that should be nailed down asap.
User avatar
No.00603
aaron
Developer
Apr 6, 2008, 14:34
This is fixed, but it took a rewrite of the INP format.